using System;
/*
** WaveHeader.cs
**
** Copyright (c) 2010 Peter McQuillan
**
** All Rights Reserved.
**
** Distributed under the BSD Software License (see license.txt)
***/
class WaveHeader
{
	internal int FormatTag; // was ushort in C
	internal int NumChannels; // was ushort in C
	internal long SampleRate; // was uint32_t in C
	internal long BytesPerSecond; // was uint32_t in C
	internal int BlockAlign; // was ushort in C
	internal int BitsPerSample; // was ushort in C
	internal int cbSize; // was ushort in C
	internal int ValidBitsPerSample; // was ushort in C
	internal int ChannelMask; // int32_t
	internal int SubFormat; // was ushort in C
	internal char[] GUID = new char[14];
}