using System;
/*
** WavpackHeader.cs
**
** Copyright (c) 2010 Peter McQuillan
**
** All Rights Reserved.
**
** Distributed under the BSD Software License (see license.txt)
***/
class WavpackHeader
{
	internal char[] ckID = new char[4];
	internal long ckSize; // was uint32_t in C
	internal short version;
	internal short track_no; // was uchar in C
	internal short index_no; // was uchar in C
	internal long total_samples; // was uint32_t in C
	internal long block_index; // was uint32_t in C
	internal long block_samples; // was uint32_t in C
	internal long flags; // was uint32_t in C
	internal long crc; // was uint32_t in C
}